Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
fcd4::/16
First address
fcd4::
Last address
fcd4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
fcd4:0000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
4.d.c.f.ip6.arpa
Split into smaller subnets/28

fcd4::/16 makes 4,096 subnets of /28; the first 256 are listed.

Subnets
#SubnetLast address
1fcd4::/28fcd4:f:ffff:ffff:ffff:ffff:ffff:ffff
2fcd4:10::/28fcd4:1f:ffff:ffff:ffff:ffff:ffff:ffff
3fcd4:20::/28fcd4:2f:ffff:ffff:ffff:ffff:ffff:ffff
4fcd4:30::/28fcd4:3f:ffff:ffff:ffff:ffff:ffff:ffff
5fcd4:40::/28fcd4:4f:ffff:ffff:ffff:ffff:ffff:ffff
6fcd4:50::/28fcd4:5f:ffff:ffff:ffff:ffff:ffff:ffff
7fcd4:60::/28fcd4:6f:ffff:ffff:ffff:ffff:ffff:ffff
8fcd4:70::/28fcd4:7f:ffff:ffff:ffff:ffff:ffff:ffff
9fcd4:80::/28fcd4:8f:ffff:ffff:ffff:ffff:ffff:ffff
10fcd4:90::/28fcd4:9f:ffff:ffff:ffff:ffff:ffff:ffff
11fcd4:a0::/28fcd4:af:ffff:ffff:ffff:ffff:ffff:ffff
12fcd4:b0::/28fcd4:bf:ffff:ffff:ffff:ffff:ffff:ffff
13fcd4:c0::/28fcd4:cf:ffff:ffff:ffff:ffff:ffff:ffff
14fcd4:d0::/28fcd4:df:ffff:ffff:ffff:ffff:ffff:ffff
15fcd4:e0::/28fcd4:ef:ffff:ffff:ffff:ffff:ffff:ffff
16fcd4:f0::/28fcd4:ff:ffff:ffff:ffff:ffff:ffff:ffff
17fcd4:100::/28fcd4:10f:ffff:ffff:ffff:ffff:ffff:ffff
18fcd4:110::/28fcd4:11f:ffff:ffff:ffff:ffff:ffff:ffff
19fcd4:120::/28fcd4:12f:ffff:ffff:ffff:ffff:ffff:ffff
20fcd4:130::/28fcd4:13f:ffff:ffff:ffff:ffff:ffff:ffff
21fcd4:140::/28fcd4:14f:ffff:ffff:ffff:ffff:ffff:ffff
22fcd4:150::/28fcd4:15f:ffff:ffff:ffff:ffff:ffff:ffff
23fcd4:160::/28fcd4:16f:ffff:ffff:ffff:ffff:ffff:ffff
24fcd4:170::/28fcd4:17f:ffff:ffff:ffff:ffff:ffff:ffff
25fcd4:180::/28fcd4:18f:ffff:ffff:ffff:ffff:ffff:ffff
26fcd4:190::/28fcd4:19f:ffff:ffff:ffff:ffff:ffff:ffff
27fcd4:1a0::/28fcd4:1af:ffff:ffff:ffff:ffff:ffff:ffff
28fcd4:1b0::/28fcd4:1bf:ffff:ffff:ffff:ffff:ffff:ffff
29fcd4:1c0::/28fcd4:1cf:ffff:ffff:ffff:ffff:ffff:ffff
30fcd4:1d0::/28fcd4:1df:ffff:ffff:ffff:ffff:ffff:ffff
31fcd4:1e0::/28fcd4:1ef:ffff:ffff:ffff:ffff:ffff:ffff
32fcd4:1f0::/28fcd4:1ff:ffff:ffff:ffff:ffff:ffff:ffff
33fcd4:200::/28fcd4:20f:ffff:ffff:ffff:ffff:ffff:ffff
34fcd4:210::/28fcd4:21f:ffff:ffff:ffff:ffff:ffff:ffff
35fcd4:220::/28fcd4:22f:ffff:ffff:ffff:ffff:ffff:ffff
36fcd4:230::/28fcd4:23f:ffff:ffff:ffff:ffff:ffff:ffff
37fcd4:240::/28fcd4:24f:ffff:ffff:ffff:ffff:ffff:ffff
38fcd4:250::/28fcd4:25f:ffff:ffff:ffff:ffff:ffff:ffff
39fcd4:260::/28fcd4:26f:ffff:ffff:ffff:ffff:ffff:ffff
40fcd4:270::/28fcd4:27f:ffff:ffff:ffff:ffff:ffff:ffff
41fcd4:280::/28fcd4:28f:ffff:ffff:ffff:ffff:ffff:ffff
42fcd4:290::/28fcd4:29f:ffff:ffff:ffff:ffff:ffff:ffff
43fcd4:2a0::/28fcd4:2af:ffff:ffff:ffff:ffff:ffff:ffff
44fcd4:2b0::/28fcd4:2bf:ffff:ffff:ffff:ffff:ffff:ffff
45fcd4:2c0::/28fcd4:2cf:ffff:ffff:ffff:ffff:ffff:ffff
46fcd4:2d0::/28fcd4:2df:ffff:ffff:ffff:ffff:ffff:ffff
47fcd4:2e0::/28fcd4:2ef:ffff:ffff:ffff:ffff:ffff:ffff
48fcd4:2f0::/28fcd4:2ff:ffff:ffff:ffff:ffff:ffff:ffff
49fcd4:300::/28fcd4:30f:ffff:ffff:ffff:ffff:ffff:ffff
50fcd4:310::/28fcd4:31f:ffff:ffff:ffff:ffff:ffff:ffff
51fcd4:320::/28fcd4:32f:ffff:ffff:ffff:ffff:ffff:ffff
52fcd4:330::/28fcd4:33f:ffff:ffff:ffff:ffff:ffff:ffff
53fcd4:340::/28fcd4:34f:ffff:ffff:ffff:ffff:ffff:ffff
54fcd4:350::/28fcd4:35f:ffff:ffff:ffff:ffff:ffff:ffff
55fcd4:360::/28fcd4:36f:ffff:ffff:ffff:ffff:ffff:ffff
56fcd4:370::/28fcd4:37f:ffff:ffff:ffff:ffff:ffff:ffff
57fcd4:380::/28fcd4:38f:ffff:ffff:ffff:ffff:ffff:ffff
58fcd4:390::/28fcd4:39f:ffff:ffff:ffff:ffff:ffff:ffff
59fcd4:3a0::/28fcd4:3af:ffff:ffff:ffff:ffff:ffff:ffff
60fcd4:3b0::/28fcd4:3bf:ffff:ffff:ffff:ffff:ffff:ffff
61fcd4:3c0::/28fcd4:3cf:ffff:ffff:ffff:ffff:ffff:ffff
62fcd4:3d0::/28fcd4:3df:ffff:ffff:ffff:ffff:ffff:ffff
63fcd4:3e0::/28fcd4:3ef:ffff:ffff:ffff:ffff:ffff:ffff
64fcd4:3f0::/28fcd4:3ff:ffff:ffff:ffff:ffff:ffff:ffff
65fcd4:400::/28fcd4:40f:ffff:ffff:ffff:ffff:ffff:ffff
66fcd4:410::/28fcd4:41f:ffff:ffff:ffff:ffff:ffff:ffff
67fcd4:420::/28fcd4:42f:ffff:ffff:ffff:ffff:ffff:ffff
68fcd4:430::/28fcd4:43f:ffff:ffff:ffff:ffff:ffff:ffff
69fcd4:440::/28fcd4:44f:ffff:ffff:ffff:ffff:ffff:ffff
70fcd4:450::/28fcd4:45f:ffff:ffff:ffff:ffff:ffff:ffff
71fcd4:460::/28fcd4:46f:ffff:ffff:ffff:ffff:ffff:ffff
72fcd4:470::/28fcd4:47f:ffff:ffff:ffff:ffff:ffff:ffff
73fcd4:480::/28fcd4:48f:ffff:ffff:ffff:ffff:ffff:ffff
74fcd4:490::/28fcd4:49f:ffff:ffff:ffff:ffff:ffff:ffff
75fcd4:4a0::/28fcd4:4af:ffff:ffff:ffff:ffff:ffff:ffff
76fcd4:4b0::/28fcd4:4bf:ffff:ffff:ffff:ffff:ffff:ffff
77fcd4:4c0::/28fcd4:4cf:ffff:ffff:ffff:ffff:ffff:ffff
78fcd4:4d0::/28fcd4:4df:ffff:ffff:ffff:ffff:ffff:ffff
79fcd4:4e0::/28fcd4:4ef:ffff:ffff:ffff:ffff:ffff:ffff
80fcd4:4f0::/28fcd4:4ff:ffff:ffff:ffff:ffff:ffff:ffff
81fcd4:500::/28fcd4:50f:ffff:ffff:ffff:ffff:ffff:ffff
82fcd4:510::/28fcd4:51f:ffff:ffff:ffff:ffff:ffff:ffff
83fcd4:520::/28fcd4:52f:ffff:ffff:ffff:ffff:ffff:ffff
84fcd4:530::/28fcd4:53f:ffff:ffff:ffff:ffff:ffff:ffff
85fcd4:540::/28fcd4:54f:ffff:ffff:ffff:ffff:ffff:ffff
86fcd4:550::/28fcd4:55f:ffff:ffff:ffff:ffff:ffff:ffff
87fcd4:560::/28fcd4:56f:ffff:ffff:ffff:ffff:ffff:ffff
88fcd4:570::/28fcd4:57f:ffff:ffff:ffff:ffff:ffff:ffff
89fcd4:580::/28fcd4:58f:ffff:ffff:ffff:ffff:ffff:ffff
90fcd4:590::/28fcd4:59f:ffff:ffff:ffff:ffff:ffff:ffff
91fcd4:5a0::/28fcd4:5af:ffff:ffff:ffff:ffff:ffff:ffff
92fcd4:5b0::/28fcd4:5bf:ffff:ffff:ffff:ffff:ffff:ffff
93fcd4:5c0::/28fcd4:5cf:ffff:ffff:ffff:ffff:ffff:ffff
94fcd4:5d0::/28fcd4:5df:ffff:ffff:ffff:ffff:ffff:ffff
95fcd4:5e0::/28fcd4:5ef:ffff:ffff:ffff:ffff:ffff:ffff
96fcd4:5f0::/28fcd4:5ff:ffff:ffff:ffff:ffff:ffff:ffff
97fcd4:600::/28fcd4:60f:ffff:ffff:ffff:ffff:ffff:ffff
98fcd4:610::/28fcd4:61f:ffff:ffff:ffff:ffff:ffff:ffff
99fcd4:620::/28fcd4:62f:ffff:ffff:ffff:ffff:ffff:ffff
100fcd4:630::/28fcd4:63f:ffff:ffff:ffff:ffff:ffff:ffff
101fcd4:640::/28fcd4:64f:ffff:ffff:ffff:ffff:ffff:ffff
102fcd4:650::/28fcd4:65f:ffff:ffff:ffff:ffff:ffff:ffff
103fcd4:660::/28fcd4:66f:ffff:ffff:ffff:ffff:ffff:ffff
104fcd4:670::/28fcd4:67f:ffff:ffff:ffff:ffff:ffff:ffff
105fcd4:680::/28fcd4:68f:ffff:ffff:ffff:ffff:ffff:ffff
106fcd4:690::/28fcd4:69f:ffff:ffff:ffff:ffff:ffff:ffff
107fcd4:6a0::/28fcd4:6af:ffff:ffff:ffff:ffff:ffff:ffff
108fcd4:6b0::/28fcd4:6bf:ffff:ffff:ffff:ffff:ffff:ffff
109fcd4:6c0::/28fcd4:6cf:ffff:ffff:ffff:ffff:ffff:ffff
110fcd4:6d0::/28fcd4:6df:ffff:ffff:ffff:ffff:ffff:ffff
111fcd4:6e0::/28fcd4:6ef:ffff:ffff:ffff:ffff:ffff:ffff
112fcd4:6f0::/28fcd4:6ff:ffff:ffff:ffff:ffff:ffff:ffff
113fcd4:700::/28fcd4:70f:ffff:ffff:ffff:ffff:ffff:ffff
114fcd4:710::/28fcd4:71f:ffff:ffff:ffff:ffff:ffff:ffff
115fcd4:720::/28fcd4:72f:ffff:ffff:ffff:ffff:ffff:ffff
116fcd4:730::/28fcd4:73f:ffff:ffff:ffff:ffff:ffff:ffff
117fcd4:740::/28fcd4:74f:ffff:ffff:ffff:ffff:ffff:ffff
118fcd4:750::/28fcd4:75f:ffff:ffff:ffff:ffff:ffff:ffff
119fcd4:760::/28fcd4:76f:ffff:ffff:ffff:ffff:ffff:ffff
120fcd4:770::/28fcd4:77f:ffff:ffff:ffff:ffff:ffff:ffff
121fcd4:780::/28fcd4:78f:ffff:ffff:ffff:ffff:ffff:ffff
122fcd4:790::/28fcd4:79f:ffff:ffff:ffff:ffff:ffff:ffff
123fcd4:7a0::/28fcd4:7af:ffff:ffff:ffff:ffff:ffff:ffff
124fcd4:7b0::/28fcd4:7bf:ffff:ffff:ffff:ffff:ffff:ffff
125fcd4:7c0::/28fcd4:7cf:ffff:ffff:ffff:ffff:ffff:ffff
126fcd4:7d0::/28fcd4:7df:ffff:ffff:ffff:ffff:ffff:ffff
127fcd4:7e0::/28fcd4:7ef:ffff:ffff:ffff:ffff:ffff:ffff
128fcd4:7f0::/28fcd4:7ff:ffff:ffff:ffff:ffff:ffff:ffff
129fcd4:800::/28fcd4:80f:ffff:ffff:ffff:ffff:ffff:ffff
130fcd4:810::/28fcd4:81f:ffff:ffff:ffff:ffff:ffff:ffff
131fcd4:820::/28fcd4:82f:ffff:ffff:ffff:ffff:ffff:ffff
132fcd4:830::/28fcd4:83f:ffff:ffff:ffff:ffff:ffff:ffff
133fcd4:840::/28fcd4:84f:ffff:ffff:ffff:ffff:ffff:ffff
134fcd4:850::/28fcd4:85f:ffff:ffff:ffff:ffff:ffff:ffff
135fcd4:860::/28fcd4:86f:ffff:ffff:ffff:ffff:ffff:ffff
136fcd4:870::/28fcd4:87f:ffff:ffff:ffff:ffff:ffff:ffff
137fcd4:880::/28fcd4:88f:ffff:ffff:ffff:ffff:ffff:ffff
138fcd4:890::/28fcd4:89f:ffff:ffff:ffff:ffff:ffff:ffff
139fcd4:8a0::/28fcd4:8af:ffff:ffff:ffff:ffff:ffff:ffff
140fcd4:8b0::/28fcd4:8bf:ffff:ffff:ffff:ffff:ffff:ffff
141fcd4:8c0::/28fcd4:8cf:ffff:ffff:ffff:ffff:ffff:ffff
142fcd4:8d0::/28fcd4:8df:ffff:ffff:ffff:ffff:ffff:ffff
143fcd4:8e0::/28fcd4:8ef:ffff:ffff:ffff:ffff:ffff:ffff
144fcd4:8f0::/28fcd4:8ff:ffff:ffff:ffff:ffff:ffff:ffff
145fcd4:900::/28fcd4:90f:ffff:ffff:ffff:ffff:ffff:ffff
146fcd4:910::/28fcd4:91f:ffff:ffff:ffff:ffff:ffff:ffff
147fcd4:920::/28fcd4:92f:ffff:ffff:ffff:ffff:ffff:ffff
148fcd4:930::/28fcd4:93f:ffff:ffff:ffff:ffff:ffff:ffff
149fcd4:940::/28fcd4:94f:ffff:ffff:ffff:ffff:ffff:ffff
150fcd4:950::/28fcd4:95f:ffff:ffff:ffff:ffff:ffff:ffff
151fcd4:960::/28fcd4:96f:ffff:ffff:ffff:ffff:ffff:ffff
152fcd4:970::/28fcd4:97f:ffff:ffff:ffff:ffff:ffff:ffff
153fcd4:980::/28fcd4:98f:ffff:ffff:ffff:ffff:ffff:ffff
154fcd4:990::/28fcd4:99f:ffff:ffff:ffff:ffff:ffff:ffff
155fcd4:9a0::/28fcd4:9af:ffff:ffff:ffff:ffff:ffff:ffff
156fcd4:9b0::/28fcd4:9bf:ffff:ffff:ffff:ffff:ffff:ffff
157fcd4:9c0::/28fcd4:9cf:ffff:ffff:ffff:ffff:ffff:ffff
158fcd4:9d0::/28fcd4:9df:ffff:ffff:ffff:ffff:ffff:ffff
159fcd4:9e0::/28fcd4:9ef:ffff:ffff:ffff:ffff:ffff:ffff
160fcd4:9f0::/28fcd4:9ff:ffff:ffff:ffff:ffff:ffff:ffff
161fcd4:a00::/28fcd4:a0f:ffff:ffff:ffff:ffff:ffff:ffff
162fcd4:a10::/28fcd4:a1f:ffff:ffff:ffff:ffff:ffff:ffff
163fcd4:a20::/28fcd4:a2f:ffff:ffff:ffff:ffff:ffff:ffff
164fcd4:a30::/28fcd4:a3f:ffff:ffff:ffff:ffff:ffff:ffff
165fcd4:a40::/28fcd4:a4f:ffff:ffff:ffff:ffff:ffff:ffff
166fcd4:a50::/28fcd4:a5f:ffff:ffff:ffff:ffff:ffff:ffff
167fcd4:a60::/28fcd4:a6f:ffff:ffff:ffff:ffff:ffff:ffff
168fcd4:a70::/28fcd4:a7f:ffff:ffff:ffff:ffff:ffff:ffff
169fcd4:a80::/28fcd4:a8f:ffff:ffff:ffff:ffff:ffff:ffff
170fcd4:a90::/28fcd4:a9f:ffff:ffff:ffff:ffff:ffff:ffff
171fcd4:aa0::/28fcd4:aaf:ffff:ffff:ffff:ffff:ffff:ffff
172fcd4:ab0::/28fcd4:abf:ffff:ffff:ffff:ffff:ffff:ffff
173fcd4:ac0::/28fcd4:acf:ffff:ffff:ffff:ffff:ffff:ffff
174fcd4:ad0::/28fcd4:adf:ffff:ffff:ffff:ffff:ffff:ffff
175fcd4:ae0::/28fcd4:aef:ffff:ffff:ffff:ffff:ffff:ffff
176fcd4:af0::/28fcd4:aff:ffff:ffff:ffff:ffff:ffff:ffff
177fcd4:b00::/28fcd4:b0f:ffff:ffff:ffff:ffff:ffff:ffff
178fcd4:b10::/28fcd4:b1f:ffff:ffff:ffff:ffff:ffff:ffff
179fcd4:b20::/28fcd4:b2f:ffff:ffff:ffff:ffff:ffff:ffff
180fcd4:b30::/28fcd4:b3f:ffff:ffff:ffff:ffff:ffff:ffff
181fcd4:b40::/28fcd4:b4f:ffff:ffff:ffff:ffff:ffff:ffff
182fcd4:b50::/28fcd4:b5f:ffff:ffff:ffff:ffff:ffff:ffff
183fcd4:b60::/28fcd4:b6f:ffff:ffff:ffff:ffff:ffff:ffff
184fcd4:b70::/28fcd4:b7f:ffff:ffff:ffff:ffff:ffff:ffff
185fcd4:b80::/28fcd4:b8f:ffff:ffff:ffff:ffff:ffff:ffff
186fcd4:b90::/28fcd4:b9f:ffff:ffff:ffff:ffff:ffff:ffff
187fcd4:ba0::/28fcd4:baf:ffff:ffff:ffff:ffff:ffff:ffff
188fcd4:bb0::/28fcd4:bbf:ffff:ffff:ffff:ffff:ffff:ffff
189fcd4:bc0::/28fcd4:bcf:ffff:ffff:ffff:ffff:ffff:ffff
190fcd4:bd0::/28fcd4:bdf:ffff:ffff:ffff:ffff:ffff:ffff
191fcd4:be0::/28fcd4:bef:ffff:ffff:ffff:ffff:ffff:ffff
192fcd4:bf0::/28fcd4:bff:ffff:ffff:ffff:ffff:ffff:ffff
193fcd4:c00::/28fcd4:c0f:ffff:ffff:ffff:ffff:ffff:ffff
194fcd4:c10::/28fcd4:c1f:ffff:ffff:ffff:ffff:ffff:ffff
195fcd4:c20::/28fcd4:c2f:ffff:ffff:ffff:ffff:ffff:ffff
196fcd4:c30::/28fcd4:c3f:ffff:ffff:ffff:ffff:ffff:ffff
197fcd4:c40::/28fcd4:c4f:ffff:ffff:ffff:ffff:ffff:ffff
198fcd4:c50::/28fcd4:c5f:ffff:ffff:ffff:ffff:ffff:ffff
199fcd4:c60::/28fcd4:c6f:ffff:ffff:ffff:ffff:ffff:ffff
200fcd4:c70::/28fcd4:c7f:ffff:ffff:ffff:ffff:ffff:ffff
201fcd4:c80::/28fcd4:c8f:ffff:ffff:ffff:ffff:ffff:ffff
202fcd4:c90::/28fcd4:c9f:ffff:ffff:ffff:ffff:ffff:ffff
203fcd4:ca0::/28fcd4:caf:ffff:ffff:ffff:ffff:ffff:ffff
204fcd4:cb0::/28fcd4:cbf:ffff:ffff:ffff:ffff:ffff:ffff
205fcd4:cc0::/28fcd4:ccf:ffff:ffff:ffff:ffff:ffff:ffff
206fcd4:cd0::/28fcd4:cdf:ffff:ffff:ffff:ffff:ffff:ffff
207fcd4:ce0::/28fcd4:cef:ffff:ffff:ffff:ffff:ffff:ffff
208fcd4:cf0::/28fcd4:cff:ffff:ffff:ffff:ffff:ffff:ffff
209fcd4:d00::/28fcd4:d0f:ffff:ffff:ffff:ffff:ffff:ffff
210fcd4:d10::/28fcd4:d1f:ffff:ffff:ffff:ffff:ffff:ffff
211fcd4:d20::/28fcd4:d2f:ffff:ffff:ffff:ffff:ffff:ffff
212fcd4:d30::/28fcd4:d3f:ffff:ffff:ffff:ffff:ffff:ffff
213fcd4:d40::/28fcd4:d4f:ffff:ffff:ffff:ffff:ffff:ffff
214fcd4:d50::/28fcd4:d5f:ffff:ffff:ffff:ffff:ffff:ffff
215fcd4:d60::/28fcd4:d6f:ffff:ffff:ffff:ffff:ffff:ffff
216fcd4:d70::/28fcd4:d7f:ffff:ffff:ffff:ffff:ffff:ffff
217fcd4:d80::/28fcd4:d8f:ffff:ffff:ffff:ffff:ffff:ffff
218fcd4:d90::/28fcd4:d9f:ffff:ffff:ffff:ffff:ffff:ffff
219fcd4:da0::/28fcd4:daf:ffff:ffff:ffff:ffff:ffff:ffff
220fcd4:db0::/28fcd4:dbf:ffff:ffff:ffff:ffff:ffff:ffff
221fcd4:dc0::/28fcd4:dcf:ffff:ffff:ffff:ffff:ffff:ffff
222fcd4:dd0::/28fcd4:ddf:ffff:ffff:ffff:ffff:ffff:ffff
223fcd4:de0::/28fcd4:def:ffff:ffff:ffff:ffff:ffff:ffff
224fcd4:df0::/28fcd4:dff:ffff:ffff:ffff:ffff:ffff:ffff
225fcd4:e00::/28fcd4:e0f:ffff:ffff:ffff:ffff:ffff:ffff
226fcd4:e10::/28fcd4:e1f:ffff:ffff:ffff:ffff:ffff:ffff
227fcd4:e20::/28fcd4:e2f:ffff:ffff:ffff:ffff:ffff:ffff
228fcd4:e30::/28fcd4:e3f:ffff:ffff:ffff:ffff:ffff:ffff
229fcd4:e40::/28fcd4:e4f:ffff:ffff:ffff:ffff:ffff:ffff
230fcd4:e50::/28fcd4:e5f:ffff:ffff:ffff:ffff:ffff:ffff
231fcd4:e60::/28fcd4:e6f:ffff:ffff:ffff:ffff:ffff:ffff
232fcd4:e70::/28fcd4:e7f:ffff:ffff:ffff:ffff:ffff:ffff
233fcd4:e80::/28fcd4:e8f:ffff:ffff:ffff:ffff:ffff:ffff
234fcd4:e90::/28fcd4:e9f:ffff:ffff:ffff:ffff:ffff:ffff
235fcd4:ea0::/28fcd4:eaf:ffff:ffff:ffff:ffff:ffff:ffff
236fcd4:eb0::/28fcd4:ebf:ffff:ffff:ffff:ffff:ffff:ffff
237fcd4:ec0::/28fcd4:ecf:ffff:ffff:ffff:ffff:ffff:ffff
238fcd4:ed0::/28fcd4:edf:ffff:ffff:ffff:ffff:ffff:ffff
239fcd4:ee0::/28fcd4:eef:ffff:ffff:ffff:ffff:ffff:ffff
240fcd4:ef0::/28fcd4:eff:ffff:ffff:ffff:ffff:ffff:ffff
241fcd4:f00::/28fcd4:f0f:ffff:ffff:ffff:ffff:ffff:ffff
242fcd4:f10::/28fcd4:f1f:ffff:ffff:ffff:ffff:ffff:ffff
243fcd4:f20::/28fcd4:f2f:ffff:ffff:ffff:ffff:ffff:ffff
244fcd4:f30::/28fcd4:f3f:ffff:ffff:ffff:ffff:ffff:ffff
245fcd4:f40::/28fcd4:f4f:ffff:ffff:ffff:ffff:ffff:ffff
246fcd4:f50::/28fcd4:f5f:ffff:ffff:ffff:ffff:ffff:ffff
247fcd4:f60::/28fcd4:f6f:ffff:ffff:ffff:ffff:ffff:ffff
248fcd4:f70::/28fcd4:f7f:ffff:ffff:ffff:ffff:ffff:ffff
249fcd4:f80::/28fcd4:f8f:ffff:ffff:ffff:ffff:ffff:ffff
250fcd4:f90::/28fcd4:f9f:ffff:ffff:ffff:ffff:ffff:ffff
251fcd4:fa0::/28fcd4:faf:ffff:ffff:ffff:ffff:ffff:ffff
252fcd4:fb0::/28fcd4:fbf:ffff:ffff:ffff:ffff:ffff:ffff
253fcd4:fc0::/28fcd4:fcf:ffff:ffff:ffff:ffff:ffff:ffff
254fcd4:fd0::/28fcd4:fdf:ffff:ffff:ffff:ffff:ffff:ffff
255fcd4:fe0::/28fcd4:fef:ffff:ffff:ffff:ffff:ffff:ffff
256fcd4:ff0::/28fcd4:fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses